# File move

An action block that moves content on the external storage.

The fiber will pause until the move has completed.

The final directory level of source path may contain glob patterns.

Use the File copy block if you don’t want the source content deleted.

Note! Attributes, such as last-modified time, are not copied due to an Android bug.

## Input arguments

- Source path — path of content to move.
- Destination path — path where the content will be placed.
- Recursive — whether to recursively move directories and all their content.